Bug 1150301 - Using "pkgdb-cli" leads to "NameError: name 'NullHandler' is not defined"
Summary: Using "pkgdb-cli" leads to "NameError: name 'NullHandler' is not defined"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-fedora
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-07 21:17 UTC by Robert Scheck
Modified: 2014-11-13 18:23 UTC (History)
5 users (show)

Fixed In Version: python-fedora-0.3.36-2.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-22 08:53:31 UTC


Attachments (Terms of Use)

Description Robert Scheck 2014-10-07 21:17:55 UTC
Description of problem:
[robert@tux ~]$ pkgdb-cli
Traceback (most recent call last):
  File "/usr/bin/pkgdb-cli", line 9, in <module>
    load_entry_point('packagedb-cli==2.5', 'console_scripts', 'pkgdb-cli')()
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 299, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2229, in load_entry_point
    return ep.load()
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 1948, in load
    entry = __import__(self.module_name, globals(),globals(), ['__name__'])
  File "/usr/lib/python2.6/site-packages/pkgdb2_cli.py", line 18, in <module>
    from fedora.client import (AccountSystem, AppError, ServerError)
  File "/usr/lib/python2.6/site-packages/fedora/client/__init__.py", line 124, in <module>
    from fedora.client.openidproxyclient import OpenIdProxyClient
  File "/usr/lib/python2.6/site-packages/fedora/client/openidproxyclient.py", line 68, in <module>
    log.addHandler(NullHandler())
NameError: name 'NullHandler' is not defined
[robert@tux ~]$ 

Version-Release number of selected component (if applicable):
packagedb-cli-2.5-1.el6.noarch

How reproducible:
Everytime, see above.

Actual results:
Using "pkgdb-cli" leads to "NameError: name 'NullHandler' is not defined"

Expected results:
No "NameError: name 'NullHandler' is not defined", but working ;-)

Comment 1 Pierre-YvesChibon 2014-10-08 15:10:36 UTC
This is odd:

[pingou@ambre ~]$ pkgdb-cli
usage: pkgdb-cli [-h] [--user USERNAME] [--password PASSWORD] [--nocolor]
                 [--verbose] [--debug] [--test] [--version]
                 {branches,unorphan,list,update,give,orphan,request,acl} ...
pkgdb-cli: error: too few arguments
[pingou@ambre ~]$ rpm -q packagedb-cli
packagedb-cli-2.5-1.el6.noarch

Comment 2 Pierre-YvesChibon 2014-10-08 15:12:13 UTC
Oh, but the error is coming from python-fedora in fact.

Which version of python-fedora are you using?

I have python-fedora-0.3.34-1.el6.noarch

Comment 3 Robert Scheck 2014-10-08 15:17:24 UTC
I have python-fedora-0.3.35-1.el6.noarch (from epel-testing according to yum).

Comment 4 Pierre-YvesChibon 2014-10-08 15:25:03 UTC
As you could see in the update, the bug is fixed upstream, it just needs either to be backported in the rpm or a new bugfix release.

Re-assigning to python-fedora :)

Comment 5 Fedora Update System 2014-10-08 15:52:11 UTC
python-fedora-0.3.36-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-fedora-0.3.36-1.el6

Comment 6 Fedora Update System 2014-10-08 15:52:16 UTC
python-fedora-0.3.36-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-fedora-0.3.36-1.fc19

Comment 7 Fedora Update System 2014-10-08 15:52:22 UTC
python-fedora-0.3.36-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-fedora-0.3.36-1.fc20

Comment 8 Fedora Update System 2014-10-09 19:51:17 UTC
Package python-fedora-0.3.36-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-fedora-0.3.36-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-3205/python-fedora-0.3.36-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-10-22 08:53:31 UTC
python-fedora-0.3.36-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-10-23 18:52:17 UTC
python-fedora-0.3.36-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-fedora-0.3.36-2.fc19

Comment 11 Fedora Update System 2014-10-23 18:52:23 UTC
python-fedora-0.3.36-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-fedora-0.3.36-2.fc20

Comment 12 Fedora Update System 2014-10-23 18:52:29 UTC
python-fedora-0.3.36-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-fedora-0.3.36-2.el6

Comment 13 Fedora Update System 2014-10-23 18:52:34 UTC
python-fedora-0.3.36-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-fedora-0.3.36-2.fc21

Comment 14 Fedora Update System 2014-10-23 18:52:39 UTC
python-fedora-0.3.36-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-fedora-0.3.36-2.el7

Comment 15 Fedora Update System 2014-10-29 11:02:48 UTC
python-fedora-0.3.36-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-11-12 23:14:00 UTC
python-fedora-0.3.36-2.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2014-11-12 23:14:10 UTC
python-fedora-0.3.36-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2014-11-13 18:11:17 UTC
python-fedora-0.3.36-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2014-11-13 18:23:10 UTC
python-fedora-0.3.36-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.